diff --git a/CMakeLists.txt b/CMakeLists.txt
index f8b0061..08be72a 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.18)
 
 project(qOPDSbrowser VERSION 0.1 LANGUAGES CXX)
 
@@ -103,13 +103,11 @@ install(TARGETS qOPDSbrowser
 
 if(UNIX AND NOT APPLE)
     install(FILES qOPDSbrowser.desktop DESTINATION share/applications)
-    install(FILES src/icons/icon512.png DESTINATION share/icons RENAME qOPDSbrowser.png)
-    install(FILES qOPDSbrowser.conf DESTINATION /etc/xdg/YLSoftware/)
+    install(FILES qOPDSbrowser.conf DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/YLSoftware)
     foreach(SIZE 16 24 32 48 64 96 128 256 512)
 	install(FILES src/icons/icon${SIZE}.png DESTINATION share/icons/hicolor/${SIZE}x${SIZE}/apps RENAME qOPDSbrowser.png)
     endforeach()
 endif()
-#install(FILES qOPDSbrowser.conf DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/YLSoftware/)
 
 
 qt_finalize_executable(qOPDSbrowser)
